# Features / Improvements & Fixes

## Improvements :muscle:

### **Helm: Enhanced External Secrets Operator (ESO) Integration**

Updated to the latest ESO API version with extended functionality for secure credential management.

## Fixes 🛠️

### **Helm: Advanced Volume Mount Configuration for HQ**

* Enhanced `additionalVolumeMounts` support for HQ charts

**📋 Configuration Example:**

```yaml
# Lenses HQ with TLS certificates
additionalVolumeMounts:
  - name: hq-truststore
    mountPath: "/mnt/provision-secrets/hq"
  - name: tls-certificates
    mountPath: "/etc/ssl/certs"

additionalVolumes:
  - name: hq-truststore
    secret:
      secretName: hq-agent-test-authority
  - name: tls-certificates
    secret:
      secretName: lenses-hq-tls-certs
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/devx/6.0/changelog/lenses-hq/version-6.0.13/features-improvements-and-fixes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
